Hello Jenkins Builder,
I'd like you to reexamine a change. Please visit
https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/38848?usp=email
to look at the new patch set (#3).
Change subject: testenv: print backtrace on startup fail too
......................................................................
testenv: print backtrace on startup fail too
When a program fails to start up, look for the coredump and print a
backtrace if it was found (instead of only doing it if a program
crashes later on).
Change-Id: I66a55dcfdab17d035ce6425220763a85b5b6dc90
---
M _testenv/testenv/daemons.py
1 file changed, 1 insertion(+), 0 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-ttcn3-hacks refs/changes/48/38848/3
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/38848?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newpatchset
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I66a55dcfdab17d035ce6425220763a85b5b6dc90
Gerrit-Change-Number: 38848
Gerrit-PatchSet: 3
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Hello Jenkins Builder,
I'd like you to reexamine a change. Please visit
https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/38848?usp=email
to look at the new patch set (#2).
Change subject: testenv: print backtrace on startup fail too
......................................................................
testenv: print backtrace on startup fail too
When a program fails to start up, look a the coredump and print a
backtrace if it was found (instead of only doing it if a program
crashes later on).
Change-Id: I66a55dcfdab17d035ce6425220763a85b5b6dc90
---
M _testenv/testenv/daemons.py
1 file changed, 1 insertion(+), 0 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-ttcn3-hacks refs/changes/48/38848/2
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/38848?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newpatchset
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I66a55dcfdab17d035ce6425220763a85b5b6dc90
Gerrit-Change-Number: 38848
Gerrit-PatchSet: 2
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
osmith has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/38848?usp=email )
Change subject: testenv: print stacktrace on startup fail too
......................................................................
testenv: print stacktrace on startup fail too
When a program fails to start up, look a the coredump and print a
stack trace if it was found (instead of only doing it if a program
crashes later on).
Change-Id: I66a55dcfdab17d035ce6425220763a85b5b6dc90
---
M _testenv/testenv/daemons.py
1 file changed, 1 insertion(+), 0 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-ttcn3-hacks refs/changes/48/38848/1
diff --git a/_testenv/testenv/daemons.py b/_testenv/testenv/daemons.py
index 0c9c0dd..86f3979 100644
--- a/_testenv/testenv/daemons.py
+++ b/_testenv/testenv/daemons.py
@@ -68,6 +68,7 @@
# Wait 200ms and check if it is still running
time.sleep(0.2)
if daemons[section].poll() is not None:
+ testenv.coredump.get_from_coredumpctl()
raise testenv.NoTraceException(f"program failed to start: {program}")
# Run setup script
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/38848?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newchange
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I66a55dcfdab17d035ce6425220763a85b5b6dc90
Gerrit-Change-Number: 38848
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
osmith has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/38847?usp=email )
Change subject: testenv: respawn.sh: don't respawn on segfault
......................................................................
testenv: respawn.sh: don't respawn on segfault
Do not respawn the process if it segfaulted or aborted abnormally in
another way (exit code >= 128).
Change-Id: I6f3f6218095643609a8b8869b57dde6b6bdb77a0
---
M _testenv/data/scripts/respawn.sh
1 file changed, 6 insertions(+), 1 deletion(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-ttcn3-hacks refs/changes/47/38847/1
diff --git a/_testenv/data/scripts/respawn.sh b/_testenv/data/scripts/respawn.sh
index 3b079c7..1044c60 100755
--- a/_testenv/data/scripts/respawn.sh
+++ b/_testenv/data/scripts/respawn.sh
@@ -12,7 +12,12 @@
$* &
LAST_PID=$!
wait $LAST_PID
- echo "respawn: $i: stopped pid $LAST_PID with status $?"
+ LAST_STATUS=$?
+ echo "respawn: $i: stopped pid $LAST_PID with status $LAST_STATUS"
+ if [ $LAST_STATUS -ge 128 ]; then
+ echo "respawn: process was terminated abnormally, not respawning"
+ exit 1
+ fi
if [ $SLEEP_BEFORE_RESPAWN -gt 0 ]; then
echo "respawn: sleeping $SLEEP_BEFORE_RESPAWN seconds..."
sleep $SLEEP_BEFORE_RESPAWN
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/38847?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: newchange
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: I6f3f6218095643609a8b8869b57dde6b6bdb77a0
Gerrit-Change-Number: 38847
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
osmith has abandoned this change. ( https://gerrit.osmocom.org/c/libosmo-netif/+/12851?usp=email )
Change subject: Use timeout in jenkins job
......................................................................
Abandoned
this is obsolete, gerrit-verifications and master-builds jenkins jobs have timeouts for all projects now
--
To view, visit https://gerrit.osmocom.org/c/libosmo-netif/+/12851?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: abandon
Gerrit-Project: libosmo-netif
Gerrit-Branch: master
Gerrit-Change-Id: I815d65f31eec4e0c758478471a553ec2afb59a8d
Gerrit-Change-Number: 12851
Gerrit-PatchSet: 2
Gerrit-Owner: Max <suraev(a)alumni.ntnu.no>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: Max <suraev(a)alumni.ntnu.no>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-CC: osmith <osmith(a)sysmocom.de>
Attention is currently required from: pespin.
osmith has posted comments on this change by pespin. ( https://gerrit.osmocom.org/c/osmo-dev/+/38846?usp=email )
Change subject: libosmo-abis now depends on libosmo-netif
......................................................................
Patch Set 2: Code-Review+2
--
To view, visit https://gerrit.osmocom.org/c/osmo-dev/+/38846?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: osmo-dev
Gerrit-Branch: master
Gerrit-Change-Id: I6eb05e856c096a146fce8c22409def564ec77fdc
Gerrit-Change-Number: 38846
Gerrit-PatchSet: 2
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-Comment-Date: Thu, 21 Nov 2024 08:18:59 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Attention is currently required from: pespin.
osmith has posted comments on this change by pespin. ( https://gerrit.osmocom.org/c/osmo-dev/+/38846?usp=email )
Change subject: libosmo-abis now depends on libosmo-netif
......................................................................
Patch Set 2: Code-Review+1
--
To view, visit https://gerrit.osmocom.org/c/osmo-dev/+/38846?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: osmo-dev
Gerrit-Branch: master
Gerrit-Change-Id: I6eb05e856c096a146fce8c22409def564ec77fdc
Gerrit-Change-Number: 38846
Gerrit-PatchSet: 2
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-Comment-Date: Thu, 21 Nov 2024 08:18:17 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Attention is currently required from: daniel, fixeria, laforge, pespin.
osmith has posted comments on this change by pespin. ( https://gerrit.osmocom.org/c/libosmo-netif/+/38841?usp=email )
Change subject: Drop libosmo-abis cond dep together with examples/lapd-over-datagram
......................................................................
Patch Set 1: Code-Review+1
--
To view, visit https://gerrit.osmocom.org/c/libosmo-netif/+/38841?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings?usp=email
Gerrit-MessageType: comment
Gerrit-Project: libosmo-netif
Gerrit-Branch: master
Gerrit-Change-Id: I13d6e88158f6d9ce017986283183ee9c2cc68cae
Gerrit-Change-Number: 38841
Gerrit-PatchSet: 1
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: daniel <dwillmann(a)sysmocom.de>
Gerrit-Reviewer: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: osmith <osmith(a)sysmocom.de>
Gerrit-Attention: laforge <laforge(a)osmocom.org>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-Attention: fixeria <vyanitskiy(a)sysmocom.de>
Gerrit-Attention: daniel <dwillmann(a)sysmocom.de>
Gerrit-Comment-Date: Thu, 21 Nov 2024 08:11:40 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes